Bundle: 13.0
First apparition: 13.0
Last apparition: 13.0
Commit: ingadhoc/odoo-argentina-ee:e97e52dd
Subject: [IMP] remove code no needed on new runbot
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/argentina-sale:f57800f7
Subject: [FIX] l10n_ar_sale: update manifest version
Author: Juan Jose Scarafia
Committer: Juan Jose Scarafia
Commit: ingadhoc/odoo-argentina:a8752369
Subject: [FIX] l10n_ar_ux: get doc parts
Author: Juan Jose Scarafia
Committer: Juan Jose Scarafia
Commit: odoo:b33e72d0
Subject: [FIX] stock: make package level package consistent
Author: Tiffany Chang (tic)
Committer: Tiffany Chang (tic)
Commit: enterprise:6a27ceb9
Subject: [FIX] helpdesk: set ticket close date according to state
Author: ham-odoo
Committer: Barad Mahendra
Commit: oca/social:fad96215
Subject: [UPD] addons table in README.md
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/web:bae95fc4
Subject: Translated using Weblate (Catalan)
Author: claudiagn
Committer: OCA Transbot
Commit: oca/stock-logistics-workflow:6326f4b7
Subject: stock_picking_group_by_partner_by_carrier 13.0.1.6.2
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/stock-logistics-warehouse:acdbb9a8
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: oca/sale-workflow:6e846723
Subject: [ADD] setup.py
Author: OCA-git-bot
Committer: OCA-git-bot
Commit: ingadhoc/stock:0ded65a6
Subject: [REM] stock_batch_picking_ux: broken translations
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/aeroo_reports:4cf8dac8
Subject: [IMP] readme
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/miscellaneous:1193e470
Subject: [IMP] adapt for new runbot
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/account-financial-tools:67e9e17b
Subject: [REF] account_interests
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Commit: ingadhoc/account-payment:ca8698f4
Subject: [IMP] use new runbot
Author: Juan Jose Scarafia
Committer: Juan José Scarafía
Version: 13.0
Config: Adhoc Conf (no test)
Total time: 4m

Date Level Type Message
2021-02-18 07:31:52 INFO runbot Init build environment with config Adhoc Conf (no test)
2021-02-18 07:31:52 Starting step base from config Adhoc Conf (no test)
2021-02-18 07:32:33 INFO server odoo.modules.loading:279 1 modules loaded in 6.27s, 0 queries
2021-02-18 07:32:40 INFO server odoo.modules.loading:279 11 modules loaded in 5.42s, 0 queries
2021-02-18 07:32:58 Step base finished in 66s
2021-02-18 07:32:58 Starting step all_no_test from config Adhoc Conf (no test)
2021-02-18 07:33:40 INFO server odoo.modules.loading:279 1 modules loaded in 6.37s, 0 queries
2021-02-18 07:35:33 INFO server odoo.addons.l10n_ar_edi.models.res_company:207 Setting demo certificate from to OdooCert5 in (AR) Responsable Inscripto company
2021-02-18 07:35:33 INFO server odoo.addons.l10n_ar_edi.models.res_company:207 Setting demo certificate from to OdooCert5 in (AR) Monotributista company
2021-02-18 07:35:33 INFO server odoo.addons.l10n_ar_edi.models.res_company:207 Setting demo certificate from to OdooCert5 in (AR) Exento company
2021-02-18 07:35:46 INFO server odoo.addons.l10n_ar_currency_update.models.res_company:46 Currency Provider configured as AFIP for next companies: (AR) Exento, (AR) Monotributista, (AR) Responsable Inscripto
2021-02-18 07:35:50 WARNING server odoo.modules.loading:563 Transient module states were reset
2021-02-18 07:35:50 ERROR server odoo.modules.registry:91
Failed to load registry
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4141, in _load_records
    data['record']._load_records_write(data['values'])
  File "/data/build/odoo/odoo/models.py", line 4079, in _load_records_write
    self.write(values)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 115, in write
    res = super().write(values)
  File "/data/build/ingadhoc/account-financial-tools/account_ux/models/account_journal.py", line 72, in write
    return super().write(vals)
  File "/data/build/odoo/addons/account/models/account.py", line 990, in write
    result = super(AccountJournal, self).write(vals)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 323, in write
    result = super(MailThread, self).write(values)
  File "/data/build/odoo/addons/mail/models/mail_activity.py", line 726, in write
    return super(MailActivityMixin, self).write(vals)
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 131, in _check_afip_configurations
    + ', '.join(invoices.mapped('journal_id').mapped('name')) + ')')
odoo.exceptions.ValidationError: ("You can not change the journal's configuration if journal already have validated invoices (Sales Journal)", None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 189, in load_module_graph
    getattr(py_module, pre_init)(cr)
  File "/data/build/ingadhoc/odoo-argentina-ee/l10n_ar_demo/__init__.py", line 40, in _load_l10n_ar_demo_data
    tools.convert_file(cr, module_name, demo_data, {}, 'init', True, 'demo', None)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4141, in _load_records
    data['record']._load_records_write(data['values'])
  File "/data/build/odoo/odoo/models.py", line 4079, in _load_records_write
    self.write(values)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 115, in write
    res = super().write(values)
  File "/data/build/ingadhoc/account-financial-tools/account_ux/models/account_journal.py", line 72, in write
    return super().write(vals)
  File "/data/build/odoo/addons/account/models/account.py", line 990, in write
    result = super(AccountJournal, self).write(vals)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 323, in write
    result = super(MailThread, self).write(values)
  File "/data/build/odoo/addons/mail/models/mail_activity.py", line 726, in write
    return super(MailActivityMixin, self).write(vals)
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 131, in _check_afip_configurations
    + ', '.join(invoices.mapped('journal_id').mapped('name')) + ')')
odoo.tools.convert.ParseError: "You can not change the journal's configuration if journal already have validated invoices (Sales Journal)
None" while parsing /data/build/odoo/addons/l10n_ar/demo/respinsc_demo.xml:2, near
<odoo>

    <record id="partner_ri" model="res.partner">
        <field name="name">(AR) Responsable Inscripto</field>
        <field name="l10n_ar_afip_responsibility_type_id" ref="res_IVARI"/>
        <field name="l10n_latam_identification_type_id" ref="l10n_ar.it_cuit"/>
        <field name="vat">30111111118</field>
        <field name="street">Calle Falsa 123</field>
        <field name="city">Rosario</field>
        <field name="country_id" ref="base.ar"/>
        <field name="state_id" ref="base.state_ar_s"/>
        <field name="zip">2000</field>
        <field name="phone">+1 555 123 8069</field>
        <field name="email">info@example.com</field>
        <field name="website">www.example.com</field>
    </record>

    <record id="company_ri" model="res.company">
        <field name="parent_id" ref="base.main_company"/>
        <field name="currency_id" ref="base.ARS"/>
        <field name="partner_id" ref="partner_ri"/>
        <field name="name">(AR) Responsable Inscripto</field>
        <field name="l10n_ar_afip_start_date" eval="time.strftime('%Y-01-01')"/>
        <field name="l10n_ar_gross_income_type">local</field>
        <field name="l10n_ar_gross_income_number">901-21885123</field>
    </record>

    <function model="res.users" name="write">
        <value eval="[ref('base.user_root'), ref('base.user_admin'), ref('base.user_demo')]"/>
        <value eval="{'company_ids': [(4, ref('l10n_ar.company_ri'))],                      'company_id': ref('l10n_ar.company_ri')}"/>
    </function>

    <function model="account.chart.template" name="try_loading">
        <value eval="[ref('l10n_ar.l10nar_ri_chart_template')]"/>
        <value model="res.company" eval="obj().env.ref('l10n_ar.company_ri')"/>
    </function>

    <record id="bank_account_ri" model="res.partner.bank">
        <field name="acc_number">7982898111100056688080</field>
        <field name="partner_id" ref="l10n_ar.partner_ri"/>
        <field name="company_id" ref="l10n_ar.company_ri"/>
    </record>

    <data noupdate="1">

        <record id="sale_journal_ri" model="account.journal">
            <field name="name">Sales Journal</field>
            <field name="company_id" ref="l10n_ar.company_ri"/>
            <field name="type">sale</field>
            <field name="code">S0001</field>
            <field name="l10n_latam_use_documents" eval="True"/>
            <field name="l10n_ar_afip_pos_number">1</field>
            <field name="l10n_ar_afip_pos_partner_id" ref="l10n_ar.partner_ri"/>
            <field name="l10n_ar_afip_pos_system">II_IM</field>
            <field name="l10n_ar_share_sequences" eval="True"/>
            <field name="refund_sequence" eval="False"/>
        </record>

        <record id="sale_expo_journal_ri" model="account.journal">
            <field name="name">Expo Sales Journal</field>
            <field name="company_id" ref="l10n_ar.company_ri"/>
            <field name="type">sale</field>
            <field name="code">S0002</field>
            <field name="l10n_latam_use_documents" eval="True"/>
            <field name="l10n_ar_afip_pos_number">2</field>
            <field name="l10n_ar_afip_pos_partner_id" ref="l10n_ar.partner_ri"/>
            <field name="l10n_ar_afip_pos_system">FEERCEL</field>
            <field name="refund_sequence" eval="False"/>
        </record>

    </data>

</odoo>
2021-02-18 07:35:50 CRITICAL server odoo.service.server:1221
Failed to initialize database `00174-13-0-all_no_test`.
Traceback (most recent call last):
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4141, in _load_records
    data['record']._load_records_write(data['values'])
  File "/data/build/odoo/odoo/models.py", line 4079, in _load_records_write
    self.write(values)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 115, in write
    res = super().write(values)
  File "/data/build/ingadhoc/account-financial-tools/account_ux/models/account_journal.py", line 72, in write
    return super().write(vals)
  File "/data/build/odoo/addons/account/models/account.py", line 990, in write
    result = super(AccountJournal, self).write(vals)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 323, in write
    result = super(MailThread, self).write(values)
  File "/data/build/odoo/addons/mail/models/mail_activity.py", line 726, in write
    return super(MailActivityMixin, self).write(vals)
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 131, in _check_afip_configurations
    + ', '.join(invoices.mapped('journal_id').mapped('name')) + ')')
odoo.exceptions.ValidationError: ("You can not change the journal's configuration if journal already have validated invoices (Sales Journal)", None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/data/build/odoo/odoo/service/server.py", line 1190, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/data/build/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/data/build/odoo/odoo/modules/loading.py", line 423, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/data/build/odoo/odoo/modules/loading.py", line 315, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/data/build/odoo/odoo/modules/loading.py", line 189, in load_module_graph
    getattr(py_module, pre_init)(cr)
  File "/data/build/ingadhoc/odoo-argentina-ee/l10n_ar_demo/__init__.py", line 40, in _load_l10n_ar_demo_data
    tools.convert_file(cr, module_name, demo_data, {}, 'init', True, 'demo', None)
  File "/data/build/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/data/build/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
  File "/data/build/odoo/odoo/tools/convert.py", line 721, in parse
    exc_info[2]
  File "/data/build/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
  File "/data/build/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
  File "/data/build/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
  File "/data/build/odoo/odoo/models.py", line 4141, in _load_records
    data['record']._load_records_write(data['values'])
  File "/data/build/odoo/odoo/models.py", line 4079, in _load_records_write
    self.write(values)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 115, in write
    res = super().write(values)
  File "/data/build/ingadhoc/account-financial-tools/account_ux/models/account_journal.py", line 72, in write
    return super().write(vals)
  File "/data/build/odoo/addons/account/models/account.py", line 990, in write
    result = super(AccountJournal, self).write(vals)
  File "/data/build/odoo/addons/mail/models/mail_thread.py", line 323, in write
    result = super(MailThread, self).write(values)
  File "/data/build/odoo/addons/mail/models/mail_activity.py", line 726, in write
    return super(MailActivityMixin, self).write(vals)
  File "/data/build/odoo/odoo/models.py", line 3632, in write
    real_recs._validate_fields(vals, inverse_fields)
  File "/data/build/odoo/odoo/models.py", line 1206, in _validate_fields
    check(self)
  File "/data/build/odoo/addons/l10n_ar/models/account_journal.py", line 131, in _check_afip_configurations
    + ', '.join(invoices.mapped('journal_id').mapped('name')) + ')')
odoo.tools.convert.ParseError: "You can not change the journal's configuration if journal already have validated invoices (Sales Journal)
None" while parsing /data/build/odoo/addons/l10n_ar/demo/respinsc_demo.xml:2, near
<odoo>

    <record id="partner_ri" model="res.partner">
        <field name="name">(AR) Responsable Inscripto</field>
        <field name="l10n_ar_afip_responsibility_type_id" ref="res_IVARI"/>
        <field name="l10n_latam_identification_type_id" ref="l10n_ar.it_cuit"/>
        <field name="vat">30111111118</field>
        <field name="street">Calle Falsa 123</field>
        <field name="city">Rosario</field>
        <field name="country_id" ref="base.ar"/>
        <field name="state_id" ref="base.state_ar_s"/>
        <field name="zip">2000</field>
        <field name="phone">+1 555 123 8069</field>
        <field name="email">info@example.com</field>
        <field name="website">www.example.com</field>
    </record>

    <record id="company_ri" model="res.company">
        <field name="parent_id" ref="base.main_company"/>
        <field name="currency_id" ref="base.ARS"/>
        <field name="partner_id" ref="partner_ri"/>
        <field name="name">(AR) Responsable Inscripto</field>
        <field name="l10n_ar_afip_start_date" eval="time.strftime('%Y-01-01')"/>
        <field name="l10n_ar_gross_income_type">local</field>
        <field name="l10n_ar_gross_income_number">901-21885123</field>
    </record>

    <function model="res.users" name="write">
        <value eval="[ref('base.user_root'), ref('base.user_admin'), ref('base.user_demo')]"/>
        <value eval="{'company_ids': [(4, ref('l10n_ar.company_ri'))],                      'company_id': ref('l10n_ar.company_ri')}"/>
    </function>

    <function model="account.chart.template" name="try_loading">
        <value eval="[ref('l10n_ar.l10nar_ri_chart_template')]"/>
        <value model="res.company" eval="obj().env.ref('l10n_ar.company_ri')"/>
    </function>

    <record id="bank_account_ri" model="res.partner.bank">
        <field name="acc_number">7982898111100056688080</field>
        <field name="partner_id" ref="l10n_ar.partner_ri"/>
        <field name="company_id" ref="l10n_ar.company_ri"/>
    </record>

    <data noupdate="1">

        <record id="sale_journal_ri" model="account.journal">
            <field name="name">Sales Journal</field>
            <field name="company_id" ref="l10n_ar.company_ri"/>
            <field name="type">sale</field>
            <field name="code">S0001</field>
            <field name="l10n_latam_use_documents" eval="True"/>
            <field name="l10n_ar_afip_pos_number">1</field>
            <field name="l10n_ar_afip_pos_partner_id" ref="l10n_ar.partner_ri"/>
            <field name="l10n_ar_afip_pos_system">II_IM</field>
            <field name="l10n_ar_share_sequences" eval="True"/>
            <field name="refund_sequence" eval="False"/>
        </record>

        <record id="sale_expo_journal_ri" model="account.journal">
            <field name="name">Expo Sales Journal</field>
            <field name="company_id" ref="l10n_ar.company_ri"/>
            <field name="type">sale</field>
            <field name="code">S0002</field>
            <field name="l10n_latam_use_documents" eval="True"/>
            <field name="l10n_ar_afip_pos_number">2</field>
            <field name="l10n_ar_afip_pos_partner_id" ref="l10n_ar.partner_ri"/>
            <field name="l10n_ar_afip_pos_system">FEERCEL</field>
            <field name="refund_sequence" eval="False"/>
        </record>

    </data>

</odoo>
2021-02-18 07:35:51 Step all_no_test finished in 3m
2021-02-18 07:35:51 Starting step run from config Adhoc Conf (no test)
2021-02-18 07:35:51 INFO runbot Start running build 00174-13-0
2021-02-18 07:36:26 INFO server odoo.modules.loading:279 1 modules loaded in 0.01s, 0 queries
2021-02-18 07:36:27 INFO server odoo.modules.loading:279 11 modules loaded in 0.07s, 0 queries
2021-02-18 08:18:58 INFO runbot Killing build 00174-13-0, requested by Administrator (user #2)
2021-02-18 08:19:01 INFO runbot Kill build 00174-13-0